<?php
if ( ! defined( 'ABSPATH' ) ) exit;
/**
 * Plugin Name: OxyLeaf - Working and Relaxing App (SaaS ready)
 * Plugin URI: https://www.sakuraleaf.com
 * Description: OxyLeaf - improve focus and boost productivity Single Page App.
 * Version: 1.0.2
 * Author: sakurapixel
 * License: GPL-3.0-only
 * License URI: https://www.gnu.org/licenses/gpl-3.0.txt
 * Text Domain: oxyleaf-app-working-and-relaxing-app
 * Domain Path: /languages
 * Requires at least: 6.4
 * Requires PHP: 8.2
 */

require plugin_dir_path( __FILE__ ) . 'vendor/autoload.php';
define( 'OXYLEAF_APP_PUBLIC_URL', plugins_url( '', __FILE__ ) );
define( 'OXYLEAF_APP_PATH', plugin_dir_path( __FILE__ ) );
\OxygenApp\App::run( __FILE__ );
add_action( 'owarasr_fs_loaded', function () {
} );
if ( !function_exists( 'owarasr_fs' ) ) {
    // Create a helper function for easy SDK access.
    function owarasr_fs() {
        global $owarasr_fs;
        if ( !isset( $owarasr_fs ) ) {
            // Include Freemius SDK.
            require_once dirname( __FILE__ ) . '/vendor/freemius/start.php';
            $owarasr_fs = fs_dynamic_init( array(
                'id'              => '21674',
                'slug'            => 'oxygen-working-and-relaxing-app-saas-ready',
                'premium_slug'    => 'oxygen-app-pro',
                'type'            => 'plugin',
                'public_key'      => 'pk_1c4621a33a73de4e43a37c0912579',
                'is_premium'      => false,
                'premium_suffix'  => 'Pro',
                'has_addons'      => false,
                'has_paid_plans'  => true,
                'trial'           => array(
                    'days'               => 14,
                    'is_require_payment' => true,
                ),
                'has_affiliation' => 'selected',
                'menu'            => array(
                    'slug'       => 'wp-oxygen-app-settings-page',
                    'first-path' => 'admin.php?page=wp-oxygen-app-settings-page',
                    'support'    => false,
                ),
                'is_live'         => true,
            ) );
        }
        return $owarasr_fs;
    }

    // Init Freemius.
    owarasr_fs();
    // Signal that SDK was initiated.
    do_action( 'owarasr_fs_loaded' );
}